# `abacusai.point_in_time_group_feature`

## Module Contents

### Classes

`PointInTimeGroupFeature` | A point in time group feature

class abacusai.point_in_time_group_feature.PointInTimeGroupFeature(client, name=None, expression=None, pitOperationType=None, pitOperationConfig=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  A point in time group feature

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - name (str) – The name of the feature

    - expression (str) – SQL Aggregate expression which can convert a sequence of rows into a scalar value.

    - pitOperationType (str) – The operation used in point in time feature generation

    - pitOperationConfig (dict) – The configuration used as input to the operation type

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict